Lindorm Search Client

LicenseApache 2.0
Tagsclientalibabasearch
DateDec 14, 2021
Filespom (6 KB)  jar (2.3 MB)  View All
RepositoriesCentral
Ranking#22539 in MvnRepository (See Top Artifacts)
Used By17 artifacts
VulnerabilitiesVulnerabilities from dependencies:
CVE-2024-23944
CVE-2024-22201
CVE-2023-4586
View 14 more ...

Note: There is a new version for this artifact

New Version8.10.2


Compile Dependencies (31)

Category/License Group / ArtifactVersionUpdates
I/O
Apache 2.0
commons-io » commons-io 2.8.02.16.1
Core Utils
Apache 2.0
commons-lang » commons-lang 2.63.14.0

Apache 2.0
io.netty » netty-buffer 4.1.50.Final4.1.108.Final
Netty Codec
Apache 2.0
io.netty » netty-codec2 vulnerabilities 4.1.50.Final4.1.108.Final

Apache 2.0
io.netty » netty-common 4.1.50.Final4.1.108.Final

Apache 2.0
io.netty » netty-handler2 vulnerabilities 4.1.50.Final4.1.108.Final

Apache 2.0
io.netty » netty-resolver 4.1.50.Final4.1.108.Final

Apache 2.0
io.netty » netty-transport 4.1.50.Final4.1.108.Final

Apache 2.0
io.netty » netty-transport-native-epoll 4.1.50.Final4.1.108.Final

Apache 2.0
io.netty » netty-transport-native-unix-common 4.1.50.Final4.1.108.Final
Math Lib
Apache 2.0
org.apache.commons » commons-math3 3.6.1
HTTP Clients
Apache 2.0
org.apache.httpcomponents » httpclient1 vulnerability 4.5.125.3.1
HTTP Clients
Apache 2.0
org.apache.httpcomponents » httpcore 4.4.135.2.4
MIME Types Lib
Apache 2.0
org.apache.httpcomponents » httpmime 4.5.124.5.14
Dist Coordination
Apache 2.0
org.apache.zookeeper » zookeeper2 vulnerabilities 3.6.23.9.2

Apache 2.0
org.apache.zookeeper » zookeeper-jute 3.6.23.9.2

BSD 2-clause
org.codehaus.woodstox » stax2-api 3.1.44.2.2
XML Processing
Apache 2.0
org.codehaus.woodstox » woodstox-core-asl 4.4.16.6.2

Apache 2.0EPL 2.0
org.eclipse.jetty » jetty-alpn-client 9.4.27.v2020022712.0.8

Apache 2.0EPL 2.0
org.eclipse.jetty » jetty-alpn-java-client 9.4.27.v2020022712.0.8
HTTP Clients
Apache 2.0EPL 2.0
org.eclipse.jetty » jetty-client 9.4.27.v2020022712.0.8

Apache 2.0EPL 2.0
org.eclipse.jetty » jetty-http3 vulnerabilities 9.4.27.v2020022712.0.8
I/O
Apache 2.0EPL 2.0
org.eclipse.jetty » jetty-io1 vulnerability 9.4.27.v2020022712.0.8

Apache 2.0EPL 2.0
org.eclipse.jetty » jetty-util 9.4.27.v2020022712.0.8

Apache 2.0EPL 2.0
org.eclipse.jetty.http2 » http2-client 9.4.27.v2020022711.0.20

Apache 2.0EPL 2.0
org.eclipse.jetty.http2 » http2-common2 vulnerabilities 9.4.27.v2020022711.0.20

Apache 2.0EPL 2.0
org.eclipse.jetty.http2 » http2-hpack1 vulnerability 9.4.27.v2020022711.0.20

Apache 2.0EPL 2.0
org.eclipse.jetty.http2 » http2-http-client-transport 9.4.27.v2020022711.0.20
Logging Bridge
Apache 2.0
org.slf4j » jcl-over-slf4j 1.7.242.0.13
Logging
MIT
org.slf4j » slf4j-api 1.7.242.0.13
Compression
Apache 2.0
org.xerial.snappy » snappy-java4 vulnerabilities 1.1.7.61.1.10.5

Licenses

LicenseURL
Apache License, Version 2.0 http://www.apache.org/licenses/LICENSE-2.0.txt